Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.gwt.dom.client
Enum Style.Cursor

    java.lang.Object
      java.lang.Enum<Style.Cursor>
          com.google.gwt.dom.client.Style.Cursor

All Implemented Interfaces:
  Style.HasCssName, java.io.Serializable, java.lang.Comparable<Style.Cursor>

Enclosing class:
  Style

    public static enum Style.Cursor

extends java.lang.Enum<Style.Cursor>
implements Style.HasCssName

Enum for the cursor property.

Enum Constant Summary
`AUTO`
`COL_RESIZE`
`CROSSHAIR`
`DEFAULT`
`E_RESIZE`
`HELP`
`MOVE`
`N_RESIZE`
`NE_RESIZE`
`NW_RESIZE`
`POINTER`
`ROW_RESIZE`
`S_RESIZE`
`SE_RESIZE`
`SW_RESIZE`
`TEXT`
`W_RESIZE`
`WAIT`

Method Summary
`abstract java.lang.String` | `getCssName()` Gets the CSS name associated with this value.
`static Style.Cursor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Style.Cursor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final Style.Cursor DEFAULT

### AUTO

    public static final Style.Cursor AUTO

### CROSSHAIR

    public static final Style.Cursor CROSSHAIR

### POINTER

    public static final Style.Cursor POINTER

### MOVE

    public static final Style.Cursor MOVE

### E_RESIZE

    public static final Style.Cursor E_RESIZE

### NE_RESIZE

    public static final Style.Cursor NE_RESIZE

### NW_RESIZE

    public static final Style.Cursor NW_RESIZE

### N_RESIZE

    public static final Style.Cursor N_RESIZE

### SE_RESIZE

    public static final Style.Cursor SE_RESIZE

### SW_RESIZE

    public static final Style.Cursor SW_RESIZE

### S_RESIZE

    public static final Style.Cursor S_RESIZE

### W_RESIZE

    public static final Style.Cursor W_RESIZE

### TEXT

    public static final Style.Cursor TEXT

### WAIT

    public static final Style.Cursor WAIT

### HELP

    public static final Style.Cursor HELP

### COL_RESIZE

    public static final Style.Cursor COL_RESIZE

### ROW_RESIZE

    public static final Style.Cursor ROW_RESIZE

Method Detail

### values

    public static Style.Cursor[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Style.Cursor c : Style.Cursor.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Style.Cursor valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getCssName

    public abstract java.lang.String getCssName()

  Description copied from interface: `Style.HasCssName`
  Gets the CSS name associated with this value.

  Specified by:
    `getCssName` in interface `Style.HasCssName`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD